Mention
Reference for the mention endpoints of the Interact REST API.
Note: All endpoints require authentication and an
X-Tenantheader. See Authentication overview and How to get API information. Paths are relative to your intranet's API base URL. An Access line appears where an endpoint needs more than a signed-in user.
Endpoints on this page
GET /api/mention
Performs an @Mention Search
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
searchTerm |
query | string | No | |
filterTypes |
query | string | No | |
limit |
query | integer (int32) | No | |
mentionableOnly |
query | boolean | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 404 |
Response body
{
"SearchTerm": "string",
"TotalResults": 0,
"SearchResults": [
{
"ID": "string",
"Type": "string",
"Name": "string",
"Avatar": "string",
"Icon": "string",
"SectionID": 0,
"MentionFormatString": "string",
"Entity": {},
"JobTitle": "string",
"OrgLabel": "string",
"Url": "string"
}
]
}| Field | Type |
|---|---|
SearchTerm | string |
TotalResults | integer (int32) |
SearchResults | array of object |
Section: REST API